function Ap_maxprb=max_prob(alpha,D,t,d,mp0,Kf,ApSol)
% calculate the approximate maximum probability for reaction 
error
switch d
    case 1
        v_0=1./sqrt(24*D*dt);
        Ap_maxprb=mp0.*ApSol.*Kf*v_0.*dt;
    case 2
    case 3
end
         
    

dt=diff(t);
maxprb=dt*0;
for i=1:length(dt)
    k=kappa(alpha,D,dt(i));
    maxprb(i) = dt(i)*correction_factor/(2*pi*sqrt(det(2*k)));
end

if any(maxprb>1) 
    m=max(maxprb);
    error(['max prob: ' num2str(m) '; probability cannot exceed 1'])
end