function k=kappa(alpha,D,delta_t,d)
% kappa matrix of hyper mixing (Bolster WRR 2011) 
% for the case D1=D2=D
if d==1
    k=2*D*delta_t;
elseif d==2
    k11=2*D*delta_t+2/3*D*alpha^2*delta_t^3;
    k12=D*alpha*delta_t^2;
    k22=2*D*delta_t;
    k=[k11 k12; k12 k22];
else
    error('this was not defined yet for d=3, see okubo')
end